declare class Tooltip {
    elementModal: any;
    optionModal: any;
    pageData: any;
    pageObject: any;
    constructor(el: Element, options: any);
    init(): void;
    getEventType(): {
        on: any;
        off: any;
    };
    setEventListener(eventInfo: any): void;
    listenerOn(e: any): void;
    listenerOff(e: any): void;
    show(): void;
    operateShow(): void;
    createElement(): ChildNode;
    setContentBody(body: string): void;
    setInitShow(isInitShow: boolean): void;
    setContentHeader(header: string): void;
    getWrapElement(): any;
    hide(e: any): void;
    listenerRelatedMouseLeave(e: any): void;
    operateHide(): void;
    listenerHide(): void;
    setRunTrigger(isRunTrigger: boolean): void;
    dispose(): void;
    clShow(): void;
    clHide(): void;
    clToggle(): void;
    clSetContentBody(body: string): void;
    clSetContentHeader(header: string): void;
    clSetRunTrigger(isRunTrigger: boolean): void;
    clSetInitShow(isInitShow: boolean): void;
    clDispose(): void;
}
export default Tooltip;
